Main Page | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# dkcQueue.c File Reference

`#include "dkcQueue.h"`
`#include "dkcStdio.h"`

Include dependency graph for dkcQueue.c:

## Functions
DKC_QUEUE *WINAPI | dkcAllocQueue (size_t numof__, size_t offsetof__)
| キュー領域を得る。
int WINAPI | dkcFreeQueue (DKC_QUEUE **ptr)
| dkcAllocNewQueueと対。
int WINAPI | dkcQueuePush (DKC_QUEUE *ptr, const void *data)
int WINAPI | dkcQueueDynamicPush (DKC_QUEUE *ptr, const void *data)
void WINAPI | dkcQueuePop (DKC_QUEUE *ptr)
int WINAPI | dkcQueueTop (DKC_QUEUE *ptr, void *get_data)
void WINAPI | dkcQueueClear (DKC_QUEUE *ptr)
size_t WINAPI | dkcQueueSize (DKC_QUEUE *ptr)
BOOL WINAPI | dkcQueueIsEmpty (DKC_QUEUE *ptr)
int WINAPI | dkcQueueSerialize (const DKC_QUEUE *ptr, DKC_SERIALIZE *se)
DKC_QUEUE *WINAPI | dkcAllocQueueDeserialize (DKC_DESERIALIZE *se)

## Detailed Description

d金魚

Since:
  2004/3/xx

## Function Documentation

DKC_QUEUE* WINAPI dkcAllocQueue | ( | size_t | numof__,
|  | size_t | offsetof__
| ) |

  | キュー領域を得る。 Parameters:
  numof__[in] | キューに使う配列の要素の数
  offsetof__[in] | キューにぶち込むデータのサイズ
Returns: キューハンドルへのポインタ。

DKC_QUEUE* WINAPI dkcAllocQueueDeserialize | ( | DKC_DESERIALIZE * | se | ) |

int WINAPI dkcFreeQueue | ( | DKC_QUEUE ** | ptr | ) |

| dkcAllocNewQueueと対。 DKC_QUEUEをデリート Note: 必ず使用したあとはこれを呼んでください。

void WINAPI dkcQueueClear | ( | DKC_QUEUE * | ptr | ) |

| キューをクリアする。

int WINAPI dkcQueueDynamicPush | ( | DKC_QUEUE * | ptr,
|  | const void * | data
| ) |

BOOL WINAPI dkcQueueIsEmpty | ( | DKC_QUEUE * | ptr | ) |

void WINAPI dkcQueuePop | ( | DKC_QUEUE * | ptr | ) |

  | Parameters:
  id[in] | 同じidを二回解放するとバグリます。

int WINAPI dkcQueuePush | ( | DKC_QUEUE * | ptr,
|  | const void * |
| ) |

| Note:

int WINAPI dkcQueueSerialize | ( | const DKC_QUEUE * | ptr,
|  | DKC_SERIALIZE * | se
| ) |

size_t WINAPI dkcQueueSize | ( | DKC_QUEUE * | ptr | ) |

int WINAPI dkcQueueTop | ( | DKC_QUEUE * | ptr,
|  | void * | get_data
| ) |